{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Post Assignments
{% endblock %}


{% block rightPane %}

    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-plus-circle"></i>
                Post Assignment Questions
            </h2>
            <div class="clearfix"></div>
        </div>

        <div class="x_content">
            <div class="row">
                <ul class="nav nav-tabs bar_tabs">
                    {% for course in courseList %}
                        <li {% if staffCourseInstance.pk == course.staffCourseInstance.pk %}class="active" {% else %}
                            class="" {% endif %}>
                            <a aria-expanded="true"
                               id={{ course.staffCourseInstance.pk }}
                                       data-toggle="tab" name="courseTab"
                               onmouseover="$(this).css('cursor', 'pointer')">
                                {{ course.displayText }}

                            </a>
                        </li>
                    {% endfor %}
                </ul>
                <form method="POST" enctype="multipart/form-data">{% csrf_token %}
                    <input type="hidden" name="hiddenStaffCoursePk" value="{{ staffCourseInstance.pk }}">
                    <div class="col-md-12 col-sm-12 col-xs-12">
                        <div class="form-horizontal form-label-left">
                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Title
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                <textarea name="title" class="form-control" placeholder="Tell about the Assignment"
                                          type="text"
                                          maxlength="1000" required></textarea>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Description
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                <textarea class="form-control" type="text" name="description"
                                          maxlength="5000"
                                          placeholder="(Optional)"></textarea>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Post Assignment Till
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <input id="datepicker" class="form-control" name="date" type="text" required
                                           readonly>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    File
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <input name="uploadFile" type="file" required>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <button name="postAssignment" type="submit" class="btn1 btn-dark-green">Post
                                        Assignment
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <div>
                <table class="table table-hover table-striped" style="table-layout:fixed">
                    <thead>
                    <tr>
                        <th style="word-wrap: break-word">S. No.</th>
                        <th style="word-wrap: break-word">Title</th>
                        <th style="word-wrap: break-word">Description</th>
                        <th style="word-wrap: break-word">Last Date</th>
                        <th style="word-wrap: break-word">File</th>
                    </tr>
                    </thead>
                    <tbody id="content">
                    <form method="POST">{% csrf_token %}
                        {% for assignment in assignmentList %}
                            <tr>
                                <td style="word-wrap: break-word">{{ forloop.counter }}</td>
                                <td style="word-wrap: break-word">{{ assignment.title }}</td>
                                <td style="word-wrap: break-word">{{ assignment.description }}</td>
                                <td style="word-wrap: break-word">{{ assignment.last_date|date }}</td>
                                <td style="word-wrap: break-word"><a
                                        href="{{ assignment.files.first.file }}">{{ assignment.files.first.name }}</a>
                                </td>
                                <td><input class="btn1-sm btn-orange" type="submit" name="edit-{{ assignment.pk }}"
                                           value="Edit"></td>
                            </tr>
                        {% endfor %}
                    </form>
                    </tbody>
                </table>
            </div>
        </div>

    </div>

    <form id="dummyForm" method="POST">
        {% csrf_token %}
    </form>

    <script type="text/javascript">

        $(function () {
            $("#datepicker").datepicker({dateFormat: 'dd/mm/yy', minDate: 'today'});
        });

        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('[name="courseTab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('#dummyForm');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'staffCoursePk'});
                $hiddenInput.appendTo('#dummyForm');

                $('#dummyForm').submit();

            });
        });

    </script>

{% endblock %}